petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscPartitionerType

String with the name of a PETSc graph partitioner

### Synopsis

    typedef const char *PetscPartitionerType;
    #define PETSCPARTITIONERCHACO    "chaco"
    #define PETSCPARTITIONERPARMETIS "parmetis"
    #define PETSCPARTITIONERSHELL    "shell"
    #define PETSCPARTITIONERSIMPLE   "simple"
    #define PETSCPARTITIONERGATHER   "gather"

### See Also

PetscPartitionerSetType(), PetscPartitioner

Level:beginner
Location:src/dm/../../include/petscdmplex.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages